polygene-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From nic...@apache.org
Subject [64/81] [abbrv] zest-java git commit: ZEST-195 ; Fix file names.
Date Sat, 17 Dec 2016 10:28:40 GMT
http://git-wip-us.apache.org/repos/asf/zest-java/blob/b45402f2/tools/shell/src/dist/bin/polygene-boot
----------------------------------------------------------------------
diff --git a/tools/shell/src/dist/bin/polygene-boot b/tools/shell/src/dist/bin/polygene-boot
new file mode 100644
index 0000000..5c0306a
--- /dev/null
+++ b/tools/shell/src/dist/bin/polygene-boot
@@ -0,0 +1,79 @@
+#!/bin/sh
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+#
+# This files copies itself to $HOME/bin, renames itself to "polygene"
+# and from then on pretends to be the tools.shell script.
+#
+
+JARNAME=org.apache.polygene.tool.shell-@version@.jar
+
+MYNAME=`basename $0`
+
+# check if it is executing as boot script or regular script.
+if [ "$MYNAME" == "polygene-boot" ] ; then
+    mkdir $HOME/bin >/dev/null 2>&1
+    cp $0 $HOME/bin/polygene
+    if [ -f $HOME/bin/$JARNAME ] ; then
+        echo "JAR file exists."
+    else
+        JAR_URL=http://repo1.maven.org/maven2/org/apache/polygene/$JARNAME
+
+        # check for wget
+        WGET=`which wget`
+
+        if [ "$WGET" == "" ] ; then
+
+            # check for curl
+            CURL=`which curl`
+            if [ "$CURL" == "" ] ; then
+                echo "You need either wget or curl installed to use this script."
+                exit 1
+            else
+                curl --output $HOME/bin/ $JAR_URL
+            fi
+        else
+            wget --output-document=$HOME/bin/ $HOME/bin/polygene $JAR_URL
+        fi
+    fi
+else
+    # Capture current directory
+    CWD=`pwd`
+
+    # Goto directory where this script was started from.
+    cd `dirname $0`
+    # Up one level
+    cd ..
+    # Get the home directory of Polygene
+    POLYGENEPATH=`pwd`
+
+    # Figure out if we are executing from within the SDK or the QuickStart
+    if [ -f libs/$JARNAME ] ; then
+        JARFILE=libs/$JARNAME
+    else
+        if [ -f bin/$JARNAME ] ; then
+            JARFILE=bin/$JARNAME
+        else
+        fi
+    fi
+    # Restore the current directory
+    cd $CWD
+
+    java -Dpolygene.home=$POLYGENEPATH -jar $POLYGENEPATH/$JARFILE "$@"
+fi
+
+

http://git-wip-us.apache.org/repos/asf/zest-java/blob/b45402f2/tools/shell/src/dist/bin/zest-boot
----------------------------------------------------------------------
diff --git a/tools/shell/src/dist/bin/zest-boot b/tools/shell/src/dist/bin/zest-boot
deleted file mode 100644
index 5c0306a..0000000
--- a/tools/shell/src/dist/bin/zest-boot
+++ /dev/null
@@ -1,79 +0,0 @@
-#!/bin/sh
-# Licensed to the Apache Software Foundation (ASF) under one
-# or more contributor license agreements.  See the NOTICE file
-# distributed with this work for additional information
-# regarding copyright ownership.  The ASF licenses this file
-# to you under the Apache License, Version 2.0 (the
-# "License"); you may not use this file except in compliance
-# with the License.  You may obtain a copy of the License at
-#
-#      http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-#
-#
-# This files copies itself to $HOME/bin, renames itself to "polygene"
-# and from then on pretends to be the tools.shell script.
-#
-
-JARNAME=org.apache.polygene.tool.shell-@version@.jar
-
-MYNAME=`basename $0`
-
-# check if it is executing as boot script or regular script.
-if [ "$MYNAME" == "polygene-boot" ] ; then
-    mkdir $HOME/bin >/dev/null 2>&1
-    cp $0 $HOME/bin/polygene
-    if [ -f $HOME/bin/$JARNAME ] ; then
-        echo "JAR file exists."
-    else
-        JAR_URL=http://repo1.maven.org/maven2/org/apache/polygene/$JARNAME
-
-        # check for wget
-        WGET=`which wget`
-
-        if [ "$WGET" == "" ] ; then
-
-            # check for curl
-            CURL=`which curl`
-            if [ "$CURL" == "" ] ; then
-                echo "You need either wget or curl installed to use this script."
-                exit 1
-            else
-                curl --output $HOME/bin/ $JAR_URL
-            fi
-        else
-            wget --output-document=$HOME/bin/ $HOME/bin/polygene $JAR_URL
-        fi
-    fi
-else
-    # Capture current directory
-    CWD=`pwd`
-
-    # Goto directory where this script was started from.
-    cd `dirname $0`
-    # Up one level
-    cd ..
-    # Get the home directory of Polygene
-    POLYGENEPATH=`pwd`
-
-    # Figure out if we are executing from within the SDK or the QuickStart
-    if [ -f libs/$JARNAME ] ; then
-        JARFILE=libs/$JARNAME
-    else
-        if [ -f bin/$JARNAME ] ; then
-            JARFILE=bin/$JARNAME
-        else
-        fi
-    fi
-    # Restore the current directory
-    cd $CWD
-
-    java -Dpolygene.home=$POLYGENEPATH -jar $POLYGENEPATH/$JARFILE "$@"
-fi
-
-

http://git-wip-us.apache.org/repos/asf/zest-java/blob/b45402f2/tutorials/introduction/src/docs/polygene-cop.txt
----------------------------------------------------------------------
diff --git a/tutorials/introduction/src/docs/polygene-cop.txt b/tutorials/introduction/src/docs/polygene-cop.txt
new file mode 100644
index 0000000..2de1ed9
--- /dev/null
+++ b/tutorials/introduction/src/docs/polygene-cop.txt
@@ -0,0 +1,22 @@
+///////////////////////////////////////////////////////////////
+ * Licensed to the Apache Software Foundation (ASF) under one
+ * or more contributor license agreements.  See the NOTICE file
+ * distributed with this work for additional information
+ * regarding copyright ownership.  The ASF licenses this file
+ * to you under the Apache License, Version 2.0 (the
+ * "License"); you may not use this file except in compliance
+ * with the License.  You may obtain a copy of the License at
+ *
+ *   http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing,
+ * software distributed under the License is distributed on an
+ * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+ * KIND, either express or implied.  See the License for the
+ * specific language governing permissions and limitations
+ * under the License.
+///////////////////////////////////////////////////////////////
+
+[[polygene-cop,COP with Java and Polygene™]]
+= COP with Java and Polygene™ =
+

http://git-wip-us.apache.org/repos/asf/zest-java/blob/b45402f2/tutorials/introduction/src/docs/zest-cop.txt
----------------------------------------------------------------------
diff --git a/tutorials/introduction/src/docs/zest-cop.txt b/tutorials/introduction/src/docs/zest-cop.txt
deleted file mode 100644
index 2de1ed9..0000000
--- a/tutorials/introduction/src/docs/zest-cop.txt
+++ /dev/null
@@ -1,22 +0,0 @@
-///////////////////////////////////////////////////////////////
- * Licensed to the Apache Software Foundation (ASF) under one
- * or more contributor license agreements.  See the NOTICE file
- * distributed with this work for additional information
- * regarding copyright ownership.  The ASF licenses this file
- * to you under the Apache License, Version 2.0 (the
- * "License"); you may not use this file except in compliance
- * with the License.  You may obtain a copy of the License at
- *
- *   http://www.apache.org/licenses/LICENSE-2.0
- *
- * Unless required by applicable law or agreed to in writing,
- * software distributed under the License is distributed on an
- * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
- * KIND, either express or implied.  See the License for the
- * specific language governing permissions and limitations
- * under the License.
-///////////////////////////////////////////////////////////////
-
-[[polygene-cop,COP with Java and Polygene™]]
-= COP with Java and Polygene™ =
-


Mime
View raw message